GuideLab API

Check for a signed uploader update

Returns signed Tauri updater metadata for the authenticated device, or no content when its installed version is current.

GET
/download/uploader/update/{target}/{arch}/{currentVersion}

Returns signed Tauri updater metadata for the authenticated device, or no content when its installed version is current.

Authorization

bearerAuth
AuthorizationBearer <token>

Versioned GuideLab native-device credential (gl_device_v1_*) issued by POST /auth/device/v1/sign-in; Better Auth browser session tokens are cookie-only.

In: header

Path Parameters

target*string

Value in

  • "darwin"
  • "windows"
arch*string

Value in

  • "aarch64"
  • "x86_64"
currentVersion*string
Match^(?:v)?(?:0|[1-9]\d*)\.(?:0|[1-9]\d*)\.(?:0|[1-9]\d*)$

Response Body

application/json

curl -X GET "https://example.com/download/uploader/update/darwin/aarch64/string"
{  "version": "string",  "pub_date": "string",  "url": "http://example.com",  "signature": "string",  "notes": "string"}
Empty
Empty
Empty
Empty
Empty
Empty
Empty